﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Test
{
    public partial class Form1 : Form
    {
        private Steema.TeeChart.Tools.ColorLine cl0;
        private bool FlagSel;
        private int pidsel;
        private int pselser;
        private Steema.TeeChart.Tools.ColorLine cl1;
        private bool FlagSel1;
        private int pidsel1;
        private int pselser1;
        public Form1()
        {
            InitializeComponent();
        }
        private void Chart_Zoomed(object sender, EventArgs e)
        {
            ChartS.Axes.Bottom.Automatic = false;
            ChartS.Axes.Bottom.Minimum = Chart.Axes.Bottom.Minimum;
            ChartS.Axes.Bottom.Maximum = Chart.Axes.Bottom.Maximum;

        }

        private void Chart_UndoneZoom(object sender, EventArgs e)
        {

            Chart.Axes.Bottom.Automatic = true;
            Chart.Axes.Left.Automatic = true;
            Chart.Axes.Right.Automatic = true;
            Chart.Refresh();

            ChartS.Axes.Bottom.Automatic = true;
            ChartS.Axes.Left.Automatic = true;
            ChartS.Axes.Right.Automatic = true;
            ChartS.Refresh();


        }
        private void Chart_ClickSeries(object sender, Steema.TeeChart.Styles.Series s, int valueIndex, MouseEventArgs e)
        {
            DateTime uffa;
            uffa = System.DateTime.FromOADate(s[valueIndex].X);
            Chart.Text = s.Title + " - " + uffa.ToString("yyyy-MM-dd HH:mm") + " - " + s[valueIndex].Y.ToString();
            cl0.Value = uffa.ToOADate();
            cl0.Active = true;
            FlagSel = true;
            pidsel = valueIndex;
            pselser = Chart.Series.IndexOf(s);
        }
        private void ChartS_ClickSeries(object sender, Steema.TeeChart.Styles.Series s, int valueIndex, MouseEventArgs e)
        {
            DateTime uffa;
            try{
            uffa = System.DateTime.FromOADate(s[valueIndex].X);
            ChartS.Text = s.Title + " - " + uffa.ToString("yyyy-MM-dd HH:mm") + " - " + s[valueIndex].Y.ToString();
            cl1.Value = uffa.ToOADate();
            cl1.Active = true;
            FlagSel1 = true;
            pidsel1 = valueIndex;
            pselser1 = ChartS.Series.IndexOf(s);
            }
            catch (Exception)
            {
                MessageBox.Show("ChartS_ClickSeries", "Exception", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }
        }
       private void Chart_Click(object sender, EventArgs e)
        {
             if(!FlagSel) cl0.Active = false;
            FlagSel = false;
        }
        private void ChartS_Click(object sender, EventArgs e)
        {
            try{
            if (!FlagSel1) cl1.Active = false;
            FlagSel1 = false;
           }catch (Exception ){
               MessageBox.Show("ChartS_Click", "Exception", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            int i;
            int ndata = 1000;

            Chart.Aspect.View3D = false;
            ChartS.Aspect.View3D = false;
            Chart.Aspect.ClipPoints = true;

            Steema.TeeChart.Styles.Series serie;
            Steema.TeeChart.Styles.FastLine Prec;
            Prec = new Steema.TeeChart.Styles.FastLine();
            Prec.LinePen.Width = 2;
            Prec.Color = Color.Blue;
            serie = Prec;

            serie.Title = "Prec";
            serie.VertAxis = Steema.TeeChart.Styles.VerticalAxis.Right;

            for (i = 0; i < ndata; i++)
            {
                serie.Add(i);
            }

            serie.Visible = true;
            Chart.Series.Add(serie);

            Prec = new Steema.TeeChart.Styles.FastLine();
            Prec.LinePen.Width = 2;
            Prec.Color = Color.Blue;
            serie = Prec;

            serie.Title = "Prec";
            serie.VertAxis = Steema.TeeChart.Styles.VerticalAxis.Right;

            for (i = 0; i < ndata; i++)
            {
                serie.Add(i);
            }

            serie.Visible = true;
            ChartS.Series.Add(serie);
            //Asse indicante la selezione
            cl0 = new Steema.TeeChart.Tools.ColorLine();
            cl0.Axis = Chart.Axes.Bottom;
            cl0.Active = false;
            cl0.AllowDrag = false;
            cl0.Pen.Color = System.Drawing.Color.Cyan;
            cl0.Pen.Width = 2;
            cl0.DrawBehind = false;
            Chart.Tools.Add(cl0);

            cl1 = new Steema.TeeChart.Tools.ColorLine();
            cl1.Axis = Chart.Axes.Bottom;
            cl1.Active = false;
            cl1.AllowDrag = false;
            cl1.Pen.Color = System.Drawing.Color.Cyan;
            cl1.Pen.Width = 2;
            cl1.DrawBehind = false;
            ChartS.Tools.Add(cl1);
        }
    }
}
